Upwork Scraping
Upwork Job Details Endpoint
POST /v1/upwork/job
#Request Example
curl -X POST /v1/upwork/job \
-H "Authorization: Bearer your-token" \
-H "Content-Type: application/json" \
-d '{
"url": "https://www.upwork.com/nx/search/jobs/details/~021964708900582486255"
}'
#Request Body
{
"url": "https://www.upwork.com/nx/search/jobs/details/~021964708900582486255"
}
#Pricing
- 1 credit
Credits are only deducted for successful requests.
#Accepted URLs
https://www.upwork.com/jobs/~...https://www.upwork.com/nx/search/jobs/details/~...
#Example Response
{
"response": {
"id": "~021964708900582486255",
"title": "Laravel Developer Position",
"description": "Looking for an experienced Laravel developer",
"type": "hourly",
"difficulty": "intermediate",
"duration": "3 to 6 months",
"min_hourly_rate": 25,
"max_hourly_rate": 50,
"fixed_budget": null,
"currency": "USD",
"skills": ["PHP", "Laravel"],
"category": "Web Development",
"subcategory": "Web Development",
"client": {
"location": "New York, United States",
"timezone": "America/New_York",
"total_spent": 50000,
"hours": 1000,
"rating": 4.8,
"reviews": 25,
"jobs_posted": 15,
"open_jobs": 3,
"payment_verified": true
},
"applications": null,
"time": "2024-01-01T00:00:00Z"
}
}
#Returned Fields
id,title,descriptiontype,difficulty,durationmin_hourly_rate,max_hourly_rate,fixed_budget,currencyskills,category,subcategoryclient,applications,invites,interviews,hiredtime,created_at,last_activity_at